;;; cp-prog-c.el --- configuration for C programming

;;; Commentary:
;;

(use-package cc-mode)

(use-package irony-eldoc
  :hook
  (c-mode . irony-eldoc))

(use-package irony
  :config
  (add-hook 'irony-mode-hook #'irony-eldoc))

(use-package company-irony)

(use-package rtags
  :hook
  (c-mode . rtags-call-rc)
  :config
  (setq rtags-rc-binary-name  "rtags-rc"
        rtags-rdm-binary-name "rtags-rdm")
  :bind
  (:map c-mode-map
        ("<f2> <f2>" . rtags-find-symbol-at-point)))

(provide 'cp-prog-c)

;;; cp-prog-c.el ends here
