(use-package wl
  :disabled
  :config
  (setq wl-icon-directory "~/.emacs.d/wl/icons"
        wl-smtp-posting-server "disroot.org"))

(use-package mew
  :disabled
  :config
  (setq mew-user "contrapunctus"
        mew-name mew-user
        mew-mail-domain "disroot.org"
        mew-proto "%"
        mew-smtp-server mew-mail-domain
        mew-imap-server mew-mail-domain))

(use-package gnus
  :init ;; I composed an email without loading Gnus, and it wasn't
  ;; saved in my sent folder; here's hoping that changing :config to
  ;; :init will do it.
  (setq gnus-select-method '(nnnil "")
        gnus-secondary-select-methods '((nnml "")
                                        (nnimap "disroot.org")
                                        ;; (nnimap "imap.gmail.com"
                                        ;;         (nnimap-stream starttls))
                                        )
        user-mail-address "contrapunctus@disroot.org"
        user-full-name    "contrapunctus"
        gnus-mime-display-multipart-related-as-mixed t
        smiley-style 'medium
        message-send-mail-function 'smtpmail-send-it
        ;; gnus-message-archive-method '(nnimap "disroot.org")
        gnus-message-archive-group "nnimap+disroot.org:Sent"))

(use-package message
  :hook
  (message-mode . (lambda () (auto-fill-mode -1)))
  (message-mode . visual-fill-column-mode))

(provide 'cp-mail)
